Index: trunk/SophyaPI/ProgPI/Makefile
===================================================================
--- trunk/SophyaPI/ProgPI/Makefile	(revision 2986)
+++ trunk/SophyaPI/ProgPI/Makefile	(revision 3007)
@@ -18,4 +18,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -31,4 +32,5 @@
   $(SOPHYAINCP)dlftypes.h \
   $(SOPHYAINCP)servnobjm.h \
+  $(SOPHYAINCP)nobjmgr.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
@@ -126,4 +128,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pistdimgapp.h \
@@ -196,4 +199,5 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -282,5 +286,8 @@
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h piacmdrdr.h \
+  $(SOPHYAINCP)resusage.h \
+  $(SOPHYAINCP)piacmd.h piacmdrdr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)piversion.h \
   $(SOPHYAINCP)piaversion.h \
@@ -298,4 +305,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -368,4 +376,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -375,4 +385,5 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)servnobjm.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -392,4 +403,5 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)slinparbuff.h \
@@ -401,4 +413,5 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -421,4 +434,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -491,4 +505,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -507,8 +523,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -521,4 +540,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)nomskymapadapter.h \
+  $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
@@ -526,5 +546,6 @@
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopiamodule.cc
  
@@ -532,4 +553,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -602,4 +624,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
Index: trunk/SophyaPI/ProgPI/smakefile
===================================================================
--- trunk/SophyaPI/ProgPI/smakefile	(revision 2986)
+++ trunk/SophyaPI/ProgPI/smakefile	(revision 3007)
@@ -18,4 +18,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -31,4 +32,5 @@
   $(SOPHYAINCP)dlftypes.h \
   $(SOPHYAINCP)servnobjm.h \
+  $(SOPHYAINCP)nobjmgr.h \
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)zthread.h \
@@ -123,8 +125,8 @@
  
 $(SOPHYAOBJP)piacmdrdr.o: piacmdrdr.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  piacmdrdr.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)sopnamsp.h piacmdrdr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)zthread.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)pexceptions.h \
   $(SOPHYAINCP)pistdimgapp.h \
@@ -197,4 +199,5 @@
   $(SOPHYAINCP)pdlmgr.h \
   $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -205,6 +208,5 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmdrdr.cc
  
-$(SOPHYAOBJP)piapp.o: piapp.cc \
-  $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)piapp.o: piapp.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)pistdimgapp.h \
   $(SOPHYAINCP)pisysdep.h \
@@ -285,5 +287,7 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h \
-  piacmdrdr.h \
+  $(SOPHYAINCP)piacmd.h piacmdrdr.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)zthread.h \
   $(SOPHYAINCP)piversion.h \
   $(SOPHYAINCP)piaversion.h \
@@ -301,4 +305,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -371,4 +376,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -378,4 +385,5 @@
   $(SOPHYAINCP)resusage.h \
   $(SOPHYAINCP)servnobjm.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -395,4 +403,5 @@
   $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)ntuple.h \
   $(SOPHYAINCP)slinparbuff.h \
@@ -404,4 +413,5 @@
   $(SOPHYAINCP)longlat.h \
   $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h \
   $(SOPHYAINCP)sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -424,4 +434,5 @@
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -494,4 +505,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -510,8 +523,11 @@
   $(SOPHYAINCP)tvector_tsnl.h \
   $(SOPHYAINCP)pitvmaad.h \
+  $(SOPHYAINCP)tvector.h \
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)fftservintf.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)piscdrawwdg.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pidrawer.h \
   $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)ntupintf.h \
@@ -524,4 +540,5 @@
   $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)nomskymapadapter.h \
+  $(SOPHYAINCP)nomgadapter.h \
   $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
@@ -529,11 +546,12 @@
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sopiamodule.cc
  
-$(SOPHYAOBJP)w2ps.o: w2ps.cc \
-  $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)piacmd.h \
+$(SOPHYAOBJP)w2ps.o: w2ps.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)piacmd.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
   $(SOPHYAINCP)pdlmgr.h \
@@ -606,4 +624,6 @@
   $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h \
+  $(SOPHYAINCP)nobjmgr.h \
+  $(SOPHYAINCP)piacmd.h \
   $(SOPHYAINCP)pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
